Create¶
POST /api/v1/notify_object/create
Overview¶
Create a notification target
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| type | string | Y | Trigger rule type, default is triggerCan be empty: True Allowed values: ['dingTalkRobot', 'HTTPRequest', 'wechatRobot', 'mailGroup', 'feishuRobot', 'sms', 'vms', 'simpleHTTPRequest', 'slackIncomingWebhook', 'teamsWorkflowWebhook', 'googleChatWebhook', 'telegramBot'] |
| name | string | Y | Notification target name Can be empty: False |
| optSet | json | Alert settings Can be empty: False |
|
| openPermissionSet | boolean | Enable custom permission configuration, (default false: disabled). When enabled, the operation permissions for this rule are based on permissionSet Can be empty: False |
|
| permissionSet | array | Operation permission configuration, configurable (role (except owner), member uuid, team uuid) Example: ['wsAdmin', 'acnt_xxxx', 'group_yyyy'] Can be empty: False |
Parameter Supplementary Description¶
Data Description.
**Request Parameter Description: ** | Parameter Name | type | Description | | ---------------- | ---- | ---------------------------------------------------- | | name | string | Notification target name | | type | string | Trigger rule type | | optSet | dict | Alert settings | | openPermissionSet | boolean | Whether to enable custom permission configuration, default false | | permissionSet | array | Operation permission configuration |
**1. type=dingTalkRobot optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | DingTalk robot call address |
| secret | String | Required | DingTalk robot call secret (Add robot - Security Settings - Sign) |
**2. type=HTTPRequest, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| url | String | Required | HTTP call address |
| headersConfig.isOpen | Boolean | Optional | Whether to enable Header configuration |
| headersConfig.items[].key | String | Optional | Header Key, trimmed and case-insensitively deduplicated for validation |
| headersConfig.items[].value | String | Optional | Header Value |
| headersConfig.items[].isSensitive | Boolean | Optional | Whether it is a sensitive value, sensitive values are encrypted for storage |
| bodyTemplate | String | Optional | Custom Body template, only supported by HTTPRequest |
**3. type=wechatRobot, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
**4. type=mailGroup, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account list |
**5. type=feishuRobot optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Lark robot call address |
| secret | String | Required | Lark robot call secret (Add robot - Security Settings - Sign) |
**6. type=sms, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account UUID, team UUID list |
**7. type=simpleHTTPRequest, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| url | String | Required | HTTP call address |
| headersConfig.isOpen | Boolean | Optional | Whether to enable Header configuration |
| headersConfig.items[].key | String | Optional | Header Key, trimmed and case-insensitively deduplicated for validation |
| headersConfig.items[].value | String | Optional | Header Value |
| headersConfig.items[].isSensitive | Boolean | Optional | Whether it is a sensitive value, sensitive values are encrypted for storage |
8. type=slackIncomingWebhook, optSet parameters (Added in 2025-03-26 iteration)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
9. type=teamsWorkflowWebhook, optSet parameters (Added in 2025-03-26 iteration)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
**10. type=vms phone, optSet parameters **
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account UUID, team UUID list |
11. type=googleChatWebhook, optSet parameters (Added in 2026-01-14 iteration)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
12. type=telegramBot, optSet parameters (Added in 2026-04-13 iteration)
| key | Type | Required | Description |
|---|---|---|---|
| token | String | Required | Telegram Bot Token |
| chat_id | String | Required | User / Group / Channel ID |
| message_thread_id | String | Optional | Topic / Thread ID |
**permissionSet, openPermissionSet field description (Added in 2024-06-26 iteration): ** When openPermissionSet is enabled for notification target configuration, only the workspace owner and roles, teams, members configured in permissionSet can edit/delete. When openPermissionSet is disabled for notification target configuration (default), the delete/edit permissions follow the original interface edit/delete permissions.
The permissionSet field can be configured with role UUIDs (wsAdmin, general, readOnly, role_xxxxx ), team UUIDs (group_yyyy), member UUIDs (acnt_xxx). permissionSet field example: